LINUX.ORG.RU

Psi 0.11


0

0

Psi - это один из самых популярных Jabber/XMPP-клиентов.

Список изменений:

  • Использование Qt4 (необходим qt >= 4.3).
  • Полная поддержка XEP-0004 (Data Forms).
  • Поддержка XEP-0070 (Verifying HTTP Requests via XMPP).
  • Проверка орфографии на основе aspell.
  • Новый набор иконок Stellar3.
  • Поддержка XEP-0138 (Stream Compression).
  • Поддержка XEP-0033 (Extended Stanza Addressing).
  • Частичная поддержка XEP-0048 (Bookmark Storage).
  • Полная поддержка групчата (наконец-то!!!).
  • Поддержка XEP-0050 (Ad-hoc commands).
  • Поддержка XEP-0163 (Personal Eventing Protocol).
  • Поддержка XEP-0146 (Remote Controlling Clients).
  • Поддержка XEP-0085 (Chat State Notifications).
  • Поддержка XEP-0115 (Entity Capabilities).
  • Оптимизация построения индексов истории сообщений.
  • Исправление многих багов.

К сожалению, русский перевод пока не доступен, но, по заверениям разработчиков, он появится в скором времени.
Новость о выходе этой версии опубликована в блоге Кевина Смита (одного из разработчиков). На официальном сайте пока тихо.

>>> Подробности

★★★

Проверено: Shaman007 ()

Re: Psi 0.11

Крутааааааа!!!

*побежал обновляться*

Неофициальных русских переводов есть несколько. Поищите у них на форуме.

Sikon ★★★ ()

Re: Psi 0.11

>> Использование Qt4 (необходим qt >= 4.3).


psi-0.11$ grep Qt INSTALL -B1
Requirements:
- Qt 4.2.0

$ ./configure
Configuring Psi ...
Verifying Qt 4 build environment ... ok
Checking for Qt >= 4.2.3 ... yes


Как объяснить?

anonymous ()

Re: Psi 0.11

Пока не откажутся от Qt3 compatibility layer - в топку. RAM usage, по сравнению с .10, просто ужасающий (по крайней мере на Windows - увы, приходится иногда сидеть и на ней).

birdie ★★★★★ ()

Re: Psi 0.11

> * Полная поддержка групчата (наконец-то!!!).

а указывать причину для кика или бана так и не научилась

JB ★★★★★ ()

Re: Psi 0.11

Персональный инвизибл и игнор приделали? Если нет, то фтоппку.

anonymous ()

Re: Psi 0.11

ппц оно жрет! и запускается дольше ... нее нафик нафик.

anonymous ()

Re: Psi 0.11

ставил бету 0.11 под виндой, вкусняшко!

anonymous ()

Re: Psi 0.11

# Полная поддержка XEP-0004 (Data Forms).
# Поддержка XEP-0070 (Verifying HTTP Requests via XMPP).
# Поддержка XEP-0138 (Stream Compression).
# Поддержка XEP-0033 (Extended Stanza Addressing).
# Поддержка XEP-0050 (Ad-hoc commands).
# Поддержка XEP-0163 (Personal Eventing Protocol).
# Поддержка XEP-0146 (Remote Controlling Clients).
# Поддержка XEP-0085 (Chat State Notifications).
# Поддержка XEP-0115 (Entity Capabilities).

Мда... после этого можно сказать, что XEP вот оно что-то поддерживает :)

gaa ★★ ()
Ответ на: Re: Psi 0.11 от anonymous

Re: Psi 0.11

* Psi now uses the Qt4(>=__4.2.3__) and QCA2 libraries, replacing the Qt3 and QCA1 requirements.

i ()
Ответ на: Re: Psi 0.11 от anonymous

Re: Psi 0.11

> Jingle есть? В бете был, вроде...

Поддержка Jingle считается экспериментальной, ее можно включить самому, в архиве с исходниками должен быть лишний configure файл для этого.

Кто-нибудь нашел, они сделали возможность автоматического join'а в конференции?

Rikz ★★★ ()
Ответ на: Re: Psi 0.11 от anonymous

Re: Psi 0.11

> нет, есессно. это чиста кутешный клиент.

Тогда в топку, дабы не омрачал своей кривизной и несовершенством стройные ряды кошерных приложений, что писаны на одобренном рабби^W Столлменом GTK.

Gharik ()
Ответ на: Re: Psi 0.11 от Rikz

Re: Psi 0.11

есть. но для этого нужно предваритель создать "закладки" с autojoin'ом например при помощи бомбуса. тогда пси будет автоматически цеплятся к ним.

stigger ()
Ответ на: Re: Psi 0.11 от dion

Re: Psi 0.11

Ух ты, классно

Попробую

Fedor ★★★ ()
Ответ на: Re: Psi 0.11 от stigger

Re: Psi 0.11

> есть. но для этого нужно предваритель создать "закладки" с autojoin'ом например при помощи бомбуса. тогда пси будет автоматически цеплятся к ним.

Блин, ну это все равно что "нет". С тем же успехом можно послать через XML консоль на сервер сообщение, чтобы конференция добавилась в ростер, а потом изменить ее свойства на автоджойн. Но это же немерянный костыль :(

Rikz ★★★ ()

Re: Psi 0.11

К сожелению, разработчики по непонятным причинам испоганили внешний вид окна чата убрав тулбары, так же если не ошибаюсь так и не исправили баг с темами иконок, когда они грузятся в обратном порядке. Кнопку "отправить" так и не сделали. Да и ничего нового по сравнению с 0.10-gentoo нет. Ждем 0.12, может оно будет юзабельно

prizident ★★★★★ ()
Ответ на: Re: Psi 0.11 от anonymous

Re: Psi 0.11

> нет поддержки TLS => gay

да уж, с геями только через tls и общаццо. причём в psi этот параметр неотключаем, потому ты и решил, что его нет

anonymous ()
Ответ на: Re: Psi 0.11 от anonymous

Re: Psi 0.11

Ага, там даже замочек, как и в других клиентах, рисуется. ;)

Bohtvaroh ★★★★ ()
Ответ на: Re: Psi 0.11 от Gharik

Re: Psi 0.11

> Тогда в топку, дабы не омрачал своей кривизной и несовершенством стройные ряды кошерных приложений, что писаны на одобренном рабби^W Столлменом GTK.

Ты дурак? Qt единственный достойный кроссплатформенный фреймворк.

musha-route ()
Ответ на: Re: Psi 0.11 от michwill

Re: Psi 0.11

>Уррраа, ждем gajim-0.12 с поддержкой jingle)

А какая связь?

anonymous ()
Ответ на: Re: Psi 0.11 от musha-route

Re: Psi 0.11

> Ты дурак? Qt единственный достойный кроссплатформенный фреймворк.

Ы? Да ты еретик, ибо труЪ - только .NET и XUL.

Gharik ()
Ответ на: Re: Psi 0.11 от Gharik

Re: Psi 0.11

>> Ты дурак? Qt единственный достойный кроссплатформенный фреймворк.

> Ы? Да ты еретик, ибо труЪ - только .NET и XUL.

По-настоящему труЪЪ - это Tk!

gaa ★★ ()
Ответ на: Re: Psi 0.11 от Legioner

Re: Psi 0.11

>Юзаю pidgin - доволен всем.

А там, случайно, Jingle не добавили? ) По-моему gaim-vv был начат уже сто лет назад.

Davidov ★★★★ ()
Ответ на: Re: Psi 0.11 от Gharik

Re: Psi 0.11

> Тогда в топку, дабы не омрачал своей кривизной и несовершенством стройные ряды кошерных приложений, что писаны на одобренном рабби^W Столлменом GTK.

"Making Qt available under the GPL makes it legal to take an existing GPL-covered program and adapt it to work with Qt."

RMS, 2000

С тех пор оно стало таки GPL.

sv75 ★★★★★ ()
Ответ на: Re: Psi 0.11 от Gharik

Re: Psi 0.11

>Ы? Да ты еретик, ибо труЪ - только .NET и XUL.

Ты забыл быдложабу.

anonymous ()
Ответ на: Re: Psi 0.11 от Gharik

Re: Psi 0.11

> Ы? Да ты еретик, ибо труЪ - только .NET и XUL.

Это даже на шутку не тянет.

sv75 ★★★★★ ()
Ответ на: Re: Psi 0.11 от musha-route

Re: Psi 0.11

> Ты дурак? Qt единственный достойный кроссплатформенный фреймворк.

да, qt умеет тормозить под кучей платформ

anonymous ()
Ответ на: Re: Psi 0.11 от musha-route

Re: Psi 0.11

обломись сам, кутераст. пока нет ни одной нормальной проги на QT, которая с графикой работает. совпадение?

anonymous ()
Ответ на: Re: Psi 0.11 от Bohtvaroh

Re: Psi 0.11

> У меня друзья виндузятники как-то это делали чисто в пси (в бете).

Дело нехитрое, вот тут описано: http://www.jabber.ru/node/375

Только вот нормально через гуй это делать было бы гораздо удобнее. Для 0.10 версии были сторонние патчи, добавлявшие эту функциональность.

Rikz ★★★ ()
Ответ на: Re: Psi 0.11 от anonymous

Re: Psi 0.11

>обломись сам, кутераст. пока нет ни одной нормальной проги на QT, которая с графикой работает. совпадение?

А что, есть хоть одна _нормальная_ прога на GTK работающая с графикой? O_o Konqueror и Opera например по скорости рендеринга дадут фору всем GTK2 браузерам

Orlangoor ★★★★★ ()
Ответ на: Re: Psi 0.11 от Orlangoor

Re: Psi 0.11

> А что, есть хоть одна _нормальная_ прога на GTK работающая с графикой?

гимп, икскейп?

> Konqueror и Opera например по скорости рендеринга дадут фору всем GTK2 браузерам

на старом ноуте опера вешает иксы в то время, когда FF продолжает работать и работать. совпадение?

qt просто игрушка.

anonymous ()
Ответ на: Re: Psi 0.11 от Orlangoor

Re: Psi 0.11

> А что, есть хоть одна _нормальная_ прога на GTK работающая с графикой? O_o Konqueror и Opera например по скорости рендеринга дадут фору всем GTK2 браузерам

Шо значит таки "работающая"? GQview не осилил?

Gharik ()

Re: Psi 0.11

Блин, а ракету в трее они заменили на какое-то невнятное и главное _незаметное_ облачко :(

gaa ★★ ()
Ответ на: Re: Psi 0.11 от sv75

Re: Psi 0.11

> "Making Qt available under the GPL makes it legal to take an existing GPL-covered program and adapt it to work with Qt." > RMS, 2000 > С тех пор оно стало таки GPL.

Сравнивать труЪ-GPL софт с QT - это всё равно как если прочувствовать разницу между красивой девочкой и красивой-девочкой-фанаткой-страпона.

Gharik ()

Re: Psi 0.11

> Кевина Смита (одного из разработчиков)

И режиссёр он тоже нефиговый...:)

eduard_pustobaev ★★ ()
Ответ на: Re: Psi 0.11 от anonymous

Re: Psi 0.11

>гимп, икскейп?

Инкскейп может быть, хотя он и тормозной, но гимп, как и большинство растровых редакторов с графикой почти не работают. По большей части только отображают - браузер гораздо более графическое приложение чем растровый редактор

GTK+ это просто убогий тулкит, а Qt это целый здоровенный фреймворк.

>на старом ноуте опера вешает иксы в то время, когда FF продолжает работать и работать.

Неа, не совпадение. Джента и кривые руки

Orlangoor ★★★★★ ()
Ответ на: Re: Psi 0.11 от Orlangoor

Re: Psi 0.11

любитель попердеть в лужу?

> Неа, не совпадение. Джента и кривые руки

авотфик - арч. даже вот эта пся которую тут обсуждают тормозит неподецки на довольно приличной машине.

anonymous ()
Ответ на: Re: Psi 0.11 от anonymous

Re: Psi 0.11

> на старом ноуте опера вешает иксы в то время, когда FF продолжает работать и работать. совпадение?

Это не совпадение. Это чудо!

eduard_pustobaev ★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.